[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#368116: libc6: robustness problem in preinst causing errors displayed by expr

Package: libc6
Version: 2.3.6-9
Severity: normal

Upgrading libc6 gave 2 error messages saying "expr: syntax error" at
preinst time.  Running the script manually as simple user shows the

+ for dir in '$*'
++ readlink -f /lib/libc5-compat
+ dir=/lib/libc5-compat
+ expr /lib/libc5-compat : '/lib.*'
+ continue
+ for dir in '$*'
++ readlink -f /usr/i486-linuxlibc1/lib
+ dir=
+ expr : '/lib.*'
expr: syntax error
+ expr : '/emul/.*'
expr: syntax error
+ test -d

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.31-k6
Locale: LANG=C, LC_CTYPE=french (charmap=ISO-8859-1)

Versions of packages libc6 depends on:
ii  tzdata                        2006c-2    Time Zone and Daylight Saving Time

libc6 recommends no packages.

-- no debconf information

Yann Dirson    <ydirson@altern.org> |
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>

Reply to: